高中自主學習計畫與成果、競賽表現、檢定證照、特殊優良表現證明(至多10件)，加上自己撰寫的「多元表現綜整心得」!
1. 多元表現方向：申請者有何專長？如何發覺該項專長？怎麼發展該項專長呢？
2. 專業連結：成長及求學過程中與資訊工程領域曾有何連結？
3. 解決問題能力：曾遭遇最大的困難或挑戰是什麼？如何調整心態面對難關？如何制定策略及方法解決問題？
4. 除附具體證據佐證外，亦須一併以文字說明解釋其為什麼樣的競賽或檢定、參加原因、事先準備過程、準備及參賽過程中感受深刻的事，以及在歷程中學習到的能力。

# 多元表現簡表

|:--:|:--:|:---|:---|
| 名稱                       |年級| 項目                  | 專長或能力              |
|遠端多重引導                |高三|  自主學習             |分散式計算、鑲入式系統   |
|乾淨的程式碼                |高二|  自主學習             |敏捷開發 物件導向程式設計|
|MDCPP(明道競賽程式培訓計畫) |高二|  社團、幹部           |演算法 網站維護          |
|多益                        |高二|  檢定證照             |閱讀及聽力金色證書       |
|T貓盃                       |高二|  競賽                 |資安、分工合作           |
|科展                        |高二|  競賽                 |自動微分 元程式          |
|青年黑客松                  |高一|  競賽                 |MVC API設計              |
|特立讀行                    |高一|  服務學習             |共學 網站維護            |
|清掃工作志願選填系統        |高一|  非修課紀錄之成果作品 |幹部 網站維護            |
|APCS                        |高一|  檢定證照             |4+3                      |

# 學習歷程

# 申請者具有以下能力與特質：

1.學習程式的熱忱和自主學習能力
2.團隊合作、溝通協調與解決問題的能力

## (一)自主學習能力

國中暑假時，我去上了坊間javascript的課程，它們的私有框架（類似pixi.js），可以很容易就寫出網頁遊戲，這深深吸引了我，也開啟了我自學程式語言之路。

高一上，我經由自學和請教同學，通過了APCS 4+3。之後轉向專題並完成22項大大小小的專案，為此，我看了好幾本相關書籍、無數的文檔。

以遠端多重引導為例，我原訂目標將成果放在路由器上，為減少檔案大小，我更傾向使用低階框架，但最後我依舊面臨在目標和時間花費中妥協，並在聽了同學的建議後，改而使用更高階的框架，並花了大量時間學習新生態，因此了解每個生態的優缺點，在那次學習中，我學了Rust的五種coruntine生態。

同樣的在課內課程方面，高中三年英數無補習，因為我覺得學習必須自己訂目標、找方法和規劃時間，比起速成方式或讀別人整理好的資料，經由自己思考、動手做而建構的概念和基礎，才是自己的，過程中因累積帶來的滿足，則是最好的回饋和動力。

## (二)團隊合作與解決問題的能力

高一時，我參加MDCPP(明道競賽程式培訓計畫)學習競程，印象最深刻是前學校資訊選手的「網路流」教學，因此高二時我發起網頁班並擔任講師。因網頁班是新開的班，需要全新的課程規劃、講義、安排任務和分工，我們花了很多時間討論和練習，但開課後仍然發現課程安排得太難，以致部分學弟妹跟不上進度，所幸經過修正和分組，才越來越好。過程中，我們學習到如何有效率的討論、協調和取捨的重要，也感受到自己的挫折忍受能力和表達能力的提升。<<<\--mom改的

<!--MDCPP大合照-->

高二時，我選修資訊專題，並以深度學習為題，用類C語言寫了一個自動微分庫，其中我學到最多的是專案管理流程，例如，我們用git同步程式碼、github project管理專案，雖然我不主管git blame，但我因此更熟悉合作專案的開發流程。

<!--
刪掉好了

## (二)團隊合作與解決問題的能力
高一時，我因同班同學的介紹，認識且加入了MDCPP，其中印象最深刻是前學校資訊代表選手的**網路流**教學。

在這之後，我陸續參加MDCPP相關的活動，最有印象的是高二下學期的網頁班，當時最難的就是分組教學，其中一組我們希望可以一路教到Actix-Web(Rust的網頁後端框架)，因此我們讓學生自行看文檔，希望他們可以在學部份的課程，但我們最後還是上不完進度。
-->

<!--MDCPP大合照-->
























